[tool.poetry]
name = "abnativ"
version = "1.2.9"
description = "AbNatiV: a VQ-VAE-based assessment of the nativeness of antibodies."
authors = ["Aubin Ramon"]
license = "CC BY-NC-SA 4.0"
readme = "README.md"
exclude = [
    "abnativ/model/trained_models"
]
include = [
    "abnativ/humanisation/pssms"
]
repository = "https://gitlab.developers.cam.ac.uk/ch/sormanni/abnativ"

[tool.poetry.dependencies]
pytorch-lightning = "^2.0"
torch = "2.2.2"
python = "~3.8.0"
biopython = "^1.81"
chroma = "^0.2.0"
scipy = "~1.9.0"
brewer2mpl = "^1.4.1"
einops = "^0.7.0"
freesasa = "^2.2.1"
immunebuilder = "^1.0.1"
mlflow = "^2.11.3"
pandas = "^1.0"
paretoset = "^1.2.3"
pyyaml = "^6.0.1"
python-parallel = "^0.9.1"
tqdm = "^4.66.2"
numpy = "~1.24.0"
matplotlib = "~3.7.0"
seaborn = "^0.13.2"
protein-topmodel = "^1.0.1"
mendeleev = "^0.12.1"
wandb = "^0.17.6"

[tool.poetry.scripts]
abnativ = "abnativ.__main__:main"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
